-module(md_snmpm).

-behaviour(snmpm_user).

-export([handle_error/3,
	 handle_agent/4,
	 handle_pdu/5,
	 handle_trap/4,
	 handle_inform/4,
	 handle_report/4]).
-compile(export_all).

go() ->
    application:start(crypto),
    application:start(snmp),
    io:format("manager is up"),
    running.

handle_error(ReqId, Reason, UserData) ->
    io:format("received handle_error:"
	      "~n   ReqId:    ~p"
	      "~n   Reason:   ~p"
	      "~n   UserData: ~p", [ReqId, Reason, UserData]),
    ignore.


handle_agent(Addr, Port, SnmpInfo, UserData) ->
    io:format("received handle_agent:"
	      "~n   Addr:     ~p"
	      "~n   Port:     ~p"
	      "~n   SnmpInfo: ~p"
	      "~n   UserData: ~p", [Addr, Port, SnmpInfo, UserData]),
    ignore.


handle_pdu(Addr, Port, ReqId, SnmpResponse, UserData) ->
    io:format("received handle_pdu:"
	      "~n   Addr:         ~p"
	      "~n   Port:         ~p"
	      "~n   ReqId:        ~p"
	      "~n   SnmpResponse: ~p"
	      "~n   UserData:     ~p", 
	      [Addr, Port, ReqId, SnmpResponse, UserData]),
    ignore.


handle_trap(Addr, Port, SnmpTrap, UserData) ->
    io:format("received handle_trap:"
	      "~n   Addr:     ~p"
	      "~n   Port:     ~p"
	      "~n   SnmpTrap: ~p"
	      "~n   UserData: ~p", 
	      [Addr, Port, SnmpTrap, UserData]),
    ok.


handle_inform(Addr, Port, SnmpInform, UserData) ->
    io:format("received handle_inform:"
	      "~n   Addr:       ~p"
	      "~n   Port:       ~p"
	      "~n   SnmpInform: ~p"
	      "~n   UserData:   ~p", 
	      [Addr, Port, SnmpInform, UserData]),
    ok.


handle_report(Addr, Port, SnmpReport, UserData) ->
    io:format("received handle_inform:"
	      "~n   Addr:       ~p"
	      "~n   Port:       ~p"
	      "~n   SnmpReport: ~p"
	      "~n   UserData:   ~p", 
	      [Addr, Port, SnmpReport, UserData]),
    ok.


